Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class SkinPropertyResolver

    java.lang.Object
      javax.faces.el.PropertyResolver
          org.richfaces.skin.SkinPropertyResolver

    public class SkinPropertyResolver

extends javax.faces.el.PropertyResolver

Resolve Skin propertyes.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:59:41 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Constructor Summary
`SkinPropertyResolver(javax.faces.el.PropertyResolver parent)`

Method Summary
`java.lang.Class` | `getType(java.lang.Object base, int index)`
`java.lang.Class` | `getType(java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(java.lang.Object base, int index)`
`java.lang.Object` | `getValue(java.lang.Object base, java.lang.Object property)`
`boolean` | `isReadOnly(java.lang.Object base, int arg1)`
`boolean` | `isReadOnly(java.lang.Object base, java.lang.Object arg1)`
`void` | `setValue(java.lang.Object base, int index, java.lang.Object value)`
`void` | `setValue(java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SkinPropertyResolver

    public SkinPropertyResolver(javax.faces.el.PropertyResolver parent)

Parameters:
  `parent` -

Method Detail

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   int index)

  Specified by:
    `getType` in class `javax.faces.el.PropertyResolver`

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   java.lang.Object property)

  Specified by:
    `getType` in class `javax.faces.el.PropertyResolver`

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     int index)

  Specified by:
    `getValue` in class `javax.faces.el.PropertyResolver`

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     java.lang.Object property)

  Specified by:
    `getValue` in class `javax.faces.el.PropertyResolver`

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              int arg1)

  Specified by:
    `isReadOnly` in class `javax.faces.el.PropertyResolver`

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              java.lang.Object arg1)

  Specified by:
    `isReadOnly` in class `javax.faces.el.PropertyResolver`

### setValue

    public void setValue(java.lang.Object base,
                         int index,
                         java.lang.Object value)

  Specified by:
    `setValue` in class `javax.faces.el.PropertyResolver`

### setValue

    public void setValue(java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)

  Specified by:
    `setValue` in class `javax.faces.el.PropertyResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.